Bug 121121 - *.pyc files are not deleted at uninstalling
Summary: *.pyc files are not deleted at uninstalling
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-packages   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-17 15:56 UTC by Robert Scheck
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-23 15:30:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2004-04-17 15:56:36 UTC
Description of problem:
At uninstalling the rpm the *.pyc files are not deleted at 
/usr/share/system-config-packages/

Version-Release number of selected component (if applicable):
system-config-packages-1.2.12-1

How reproducible & Steps to Reproduce:
Every time and more is described above.

Actual results:
The following in the spec file solves it:

--- snipp ---
%preun
if [ -d %{_datadir}/%{name} ] ; then
  rm -rf %{_datadir}/%{name}/*.pyc
fi
--- snapp ---

Expected results:
That *.pyc files are deleted

Comment 1 Brent Fox 2004-04-23 15:30:55 UTC
Should be fixed in system-config-packages-1.2.13-1 in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.